POST Search Slot Configurations
POST /sites/{site_id}/slot_configuration_search
Operation ID: Search Slot Configurations. Tags: sites. Security: oauth2_application.
Searches for slot configurations.
The query attribute specifies a complex query that can be used to narrow down the search. Attributes are grouped into different buckets. These are the list of searchable attributes with their corresponding buckets:
Main:
-
configuration_id - String
-
default - Boolean
-
description - String
-
enabled - Boolean
Slot:
-
context - String
-
slot_id - String
Only fields in the same bucket can be joined using a disjunction (OR). For instance, when joining context and description above, only a conjunction is allowed (AND), whereas context and slot_id can be joined to each other using a disjunction because they are in the same bucket. If the field is used in a disjunction (OR) that violates this rule, an exception will be thrown.
This endpoint may return the following faults:
- 400 - TypeMissmatchException - Indicates that the value to search with does not match the type of the search field.
Parameters
site_id(path, string, required) The site context.
Request body (required)
Media type: application/json, text/xml. Schema: search_request.
Responses
- 400
TypeMissmatchException- Indicates that the value to search with does not match the type of the search field.Media type:
application/json, text/xml. Schema:fault. - default
Media type:
application/json, text/xml. Schema:slot_configuration_search_result.